Skip to main content
GET
/
api
/
v1
/
sequencing
/
batches
GET sequencing instances_batches
curl --request GET \
  --url https://app.onecodex.com/api/v1/sequencing/batches \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.onecodex.com/api/v1/sequencing/batches"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.onecodex.com/api/v1/sequencing/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "$uri": "/api/v1/sequencing/batches/0d77065796f8d173",
    "batch_number": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "owner": {
      "__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
    }
  }
]
GET all Sequencing Batch instances. Returns a paginated list of Sequencing Batches.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
string | null

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
string | null

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/sequencing/batches/[a-f0-9]{16}$
Example:

"/api/v1/sequencing/batches/0d77065796f8d173"

batch_number
string
required

A unique batch number.

created_at
string<date-time>
required

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

name
string | null
required

A human-readable name for the sequencing batch.

owner
users · object
required

The user that created the sequencing batch.

status
enum<string>
required

The current status of the sequencing batch.

Available options:
registered,
shipped_to_lab,
received_at_lab,
extracting,
preparing_library,
sequencing,
quality_control,
done,
canceled